Usage
curl --request GET \
--url https://{region}.api.plerion.com/v1/tenant/usage \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.api.plerion.com/v1/tenant/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.api.plerion.com/v1/tenant/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"startDate": "2022-01-18T08:37:30Z",
"endDate": "2022-01-18T08:37:30Z",
"consumedPlerionUnits": 89057,
"tenantCap": 600000,
"remainingPlerionUnits": 558911
}
}{
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"message": "Internal server error"
}Get the usage details of tenant
Use the get tenant usage API to get the usage details of the tenant. The API retrieves the total consumed Plerion units for the tenant for the specified period and additional information regarding whether the limit has been exceeded.
GET
/
v1
/
tenant
/
usage
Usage
Authorizations
Bearer API Key. For example, "Bearer {Tenant API Key}"
Headers
Bearer API Key. For example, "Bearer {Tenant API Key}"
application/json
Query Parameters
Specify the date to get usage for the billing interval that falls on that date. If you don't include a date parameter, the API will default to using the current date. Accepts date time in the format yyyy-MM-dd, for example 2023-03-12.
Example:
"2022-02-01"
Response
Tenant Usage Details
Show child attributes
Show child attributes
Was this page helpful?